{
  description = "martials.no Development environment";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-25.05";
  };

  outputs = { nixpkgs, ... }:
    let
      system = "x86_64-linux";
    in
    {
      devShells.${system}.default =
        let
          pkgs = import nixpkgs {
            inherit system;
          };
        in
        pkgs.mkShell {
          packages = with pkgs; [
            git
          ] ++ [
            # Node
            nodejs_22
            pnpm
          ] ++ [
            nodePackages.prettier
            biome
          ];

          shellHook = ''
            pnpm install
            fish
          '';
        };
    };
}
